org.apache.flume.source.scribe

## Enum ResultCode

- java.lang.Object
- - java.lang.Enum<ResultCode>
  - - org.apache.flume.source.scribe.ResultCode

- All Implemented Interfaces:
    Serializable, Comparable<ResultCode>, org.apache.thrift.TEnum

      public enum ResultCode
      extends Enum<ResultCode>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OK`
    `TRY_LATER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResultCode` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static ResultCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ResultCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final ResultCode OK

    - #### TRY_LATER

          public static final ResultCode TRY_LATER

  - ### Method Detail

    - #### values

          public static ResultCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ResultCode c : ResultCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ResultCode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static ResultCode findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.